Description
Hi All,

It will be great that if we have Citrix Xenserver kickstart unattended.

Reference of Kickstart Method

https://blogsprod.s3.amazonaws.com/blogs/wp-content/uploads/2013/08/XenServer_unattended_installation_v10.pdf

Below is unattended xenserver syntax.

<?xml version="1.0"?>

<installation mode="fresh" srtype="lvm">
<bootloader>extlinux</bootloader>

<primary-disk gueststorage="no">/dev/cciss/c0d0</primary-disk>
<keymap>en</keymap>
<hostname>xxxxxxx</hostname>
<root-password>xxxxx</root-password>

<source type="url">http://10.3.5.100/Xen-65/&lt;/source>
<script stage="filesystem-populated" type="url">http://10.3.5.100/kickstarter/post-script.sh&lt;/script>
<admin-interface name="eth0" proto="static">
<ip>10.3.5.112</ip>
<subnet-mask>255.255.255.0</subnet-mask>
<gateway>10.3.5.1</gateway>

</admin-interface>
<name-server>8.8.8.8</name-server>
<name-server>8.8.4.4.</name-server>
<timezone>America/Los_Angeles</timezone>
<time-config-method>ntp</time-config-method>
<ntp-server>ntp1.com</ntp-server>
<ntp-server>ntp2.com</ntp-server>

</installation>

| really have no clue how to add this syntax into the current Template Provisioning

Related issues:
Has duplicate Foreman - Support #12992: Add xenserver Operating system family Resolved
Has duplicate Foreman - Feature #11243: Unattended installation of XenServer Duplicate

01/05/2016
07/29/2015

Associated revisions

Revision 7cac0899 - 03/29/2016 09:35 AM - Kyle Flavin
fixes #12962 - Add Xenserver to list of supported OS families.

Templates are included in community-templates repo.

History
https://blogsprod.s3.amazonaws.com/blogs/wp-content/uploads/2013/08/XenServer_unattended_installation_v10.pdf
http://10.3.5.100/Xen-65/&lt;/source
http://10.3.5.100/kickstarter/post-script.sh&lt;/script

#1 - 12/31/2015 12:03 PM - Anonymous
Hi,

for this to work one would need to implement XenServer as an operating system into Foreman. | did start this:
https://github.com/mmoll/foreman/tree/xenserver _os
https://github.com/mmoll/community-templates/tree/xenserver

However, | lack the time finishing this. If you want to pick this up, it would be greatly appreciated!

#2 - 01/04/2016 06:18 AM - Keerthiraja SJ

| tried today with this but there seems to be some issue.

First when | provided the kickstart the token prepared but the kernel and the image file copied to /var/lib/tftpd is empty its not copying from the url |
gave.

After | copied the xen.gz and the kernel / image manually to /var/lib/tftpd then it started to kicktstart but it fails because the anwserfile seems to be
issue.

Below is from the foreman
/unattended/provision?token=15a27f21-07c6-41c2-b23f-df3bafae61c9

append xen.gz(copied manually) dom0_max_vcpus=4 dom0_mem=752M com1=115200,8n1 console=com1,vga ---
boot/XenServer-6.5-x86_64-vmlinuz xencons=hvc console=hvc0 console=tty0
answerfile=http://kickboxer.las.collab.net:80/unattended/provision?token=15a27f21-07c6-41c2-b23f-df3bafae61c9 install ---
boot/XenServer-6.5-x86_64-initrd.img

<?xml version="1.0"?>

<installation mode="fresh" srtype="lvm">

<primary-disk gueststorage="yes">sda</primary-disk>
<keymap>en</keymap>

<hostname>xenserver001</hostname>

<root-password type="hash">$5$CQ0R4MM7$qdZvQ.cRPAhzLnCcBR8WeHZmdYvuhyk2ai.krcqm479</root-password>
<source type=""></source> (lts not appending the source file path)
<admin-interface name="xenserver001.xx.xx.net" proto="static">
<ip>10.202.200.101</ip>
<subnet-mask>255.255.255.0</subnet-mask>
<gateway>10.202.200.1</gateway>

</admin-interface>

<name-server>8.8.8.8</name-server>
<name-server>8.8.4.4</name-server>
<ntp-server>pool.ntp.org</ntp-server>
<timezone>Europe/Berlin</timezone>
<time-config-method>ntp</time-config-method>

<script stage="installation-complete" type="url">
http://foreman.xx.net:80/unattended/finish?token=15a27f21-07c6-41c2-b23f-df3bafae61c9
</script>

</installation>

#3 - 01/05/2016 01:37 AM - Keerthiraja SJ

| find some clue after a troubleshoot.

On foreman while creating the Installation Media and Operating system Which Operating system family should | have to choose if | choose redhat /
debian family it looks the file on that order.

E, [2016-01-04T22:19:58.560662 #4968] ERROR -- : TFTP: Failed to fetch boot file: Permission denied -
/var/lib/tftpboot/boot/XenServer-6.5-x86_64-linux

E, [2016-01-04T22:20:53.414445 #4968] ERROR -- : [6610]
http://opsyum.collab.net/Xen65/dists//main/installer-amd64/current/images/netboot/debian-installer/amdé4/linux:

Because of the family it checking the file on that particular location of file.

#4 - 01/05/2016 01:38 AM - Keerthiraja SJ

Keerthiraja SJ wrote:
| find some clue after a troubleshoot.

On foreman while creating the Installation Media and Operating system Which Operating system family should | have to choose if | choose
redhat / debian family it looks the file on that order.

E, [2016-01-04T22:19:58.560662 #4968] ERROR -- : TFTP: Failed to fetch boot file: Permission denied -
/var/lib/tftpboot/boot/XenServer-6.5-x86_64-linux

E, [2016-01-04T22:20:53.414445 #4968] ERROR -- : [6610]
http://192.168.1.1/Xen65/dists//main/installer-amdé4/current/images/netboot/debian-installer/amd64/linux:
https://github.com/mmoll/foreman/tree/xenserver_os
https://github.com/mmoll/community-templates/tree/xenserver
http://foreman.xx.net:80/unattended/finish?token=15a27f21-07c6-41c2-b23f-df3bafae61c9
https://projects.theforeman.org/issues/4968
https://projects.theforeman.org/issues/4968
http://opsyum.collab.net/Xen65/dists//main/installer-amd64/current/images/netboot/debian-installer/amd64/linux
https://projects.theforeman.org/issues/4968
https://projects.theforeman.org/issues/4968
http://192.168.1.1/Xen65/dists//main/installer-amd64/current/images/netboot/debian-installer/amd64/linux

Because of the family it checking the file on that particular location of file.

#5 - 03/15/2016 07:03 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3331 added

#6 - 03/15/2016 07:23 PM - Kyle Flavin

I've added a pull request to add Xenserver OS family support, based on mmoll's original work: https://github.com/theforeman/foreman/pull/3331

| didn't add any default Xen templates, but | can if that's desirable.

#7 - 03/29/2016 09:33 AM - Dominic Cleal
- Assignee set to Kyle Flavin

- translation missing: en.field_release set to 136

#8 - 03/29/2016 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7cac0899f5¢747292e875502eb3f18aa4c9fc920.

#9 - 07/10/2016 09:37 PM - Anonymous
- Has duplicate Support #12992: Add xenserver Operating system family added

#10 - 10/09/2016 08:58 AM - Anonymous
- Has duplicate Feature #11243: Unattended installation of XenServer added
